Bug 581614 - --with-database=no breaks "where-was-i-db"
Summary: --with-database=no breaks "where-was-i-db"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-12 19:27 UTC by Richard Z.
Modified: 2010-07-27 02:43 UTC (History)
3 users (show)

Fixed In Version: xemacs-21.5.29-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-27 02:42:41 UTC
Type: ---


Attachments (Terms of Use)

Description Richard Z. 2010-04-12 19:27:45 UTC
Description of problem:

The where-was-i-db module requires a database and breaks when it is disabled. I got really used to this module, xemacs is missing some of the most basic functionality when it is disabled.

I have no idea why xemacs is compiled with "--with-database=no" but I am running it with database enabled on Fedora 10& 12 since many months and never had any problem because of this.

Would it be possible to re-enable database support?

Thanks
Richard

Comment 1 Jerry James 2010-04-12 19:45:43 UTC
I don't know why it is disabled myself.  (I just took over maintainership last summer.)  I suspect it is because the previous maintainer didn't know of any practical uses for the database support, and therefore wanted to avoid dragging in more dependencies.  That's just a guess, though.

Since we now have a practical application for it, I'm fine with enabling database support in the next build.  The question is: which database(s)?  XEmacs supports gdbm, db4, and postgresql.  Do you have a preference?

Also, XEmacs 21.5.30 is supposed to be released Real Soon Now.  Is this urgent, or can it wait until I build the new version anyway?

Comment 2 Richard Z. 2010-04-12 20:28:00 UTC
I have no preference - simply removed the "--with-database=no" and it appears xemacs choose db4 for me.

Not terribly urgent but would be very nice if I could run stock xemacs build - you would get better testing as well.

What is the time horizon?

Comment 3 Jerry James 2010-04-12 20:35:18 UTC
The time horizon is "as soon as Stephen Turnbull has time".  From the messages he has sent to the mailing list over the last 2 weeks, it sounds like he expects to do the release this week.  I will keep in touch with him to see if any major schedule slippage occurs.  If so, I'll push a new Fedora package anyway without waiting for the upstream release.

Comment 4 Richard Z. 2010-04-12 22:48:29 UTC
whatever turns out to fit you best. Might be better not to make these changes together with a 2.5.29->30 version upgrade so it get easier to see if some bug was introduced by the version jump or this changes.

Comment 5 Fedora Update System 2010-07-06 20:30:26 UTC
xemacs-21.5.29-13.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc13

Comment 6 Fedora Update System 2010-07-06 20:30:36 UTC
xemacs-21.5.29-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc12

Comment 7 Fedora Update System 2010-07-07 17:42:28 UTC
xemacs-21.5.29-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc12

Comment 8 Fedora Update System 2010-07-07 17:50:50 UTC
xemacs-21.5.29-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc13

Comment 9 Fedora Update System 2010-07-27 02:42:32 UTC
xemacs-21.5.29-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-27 02:43:27 UTC
xemacs-21.5.29-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.